Skip to main content
GET
/
agents
/
{agentId}
/
widget
/
embed
Error
A valid request URL is required to generate request examples
{
  "success": true,
  "data": {
    "scriptSnippet": "<string>",
    "publishableKey": "<string>"
  },
  "message": "<string>",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Clerk JWT (browser). Requires Authorization: Bearer <clerk_jwt> and the X-Organization-Id header. Validated by the ported Clerk middleware, which sets the app.current_organization_id RLS context.

Path Parameters

agentId
string
required

Query Parameters

publishableKeyId
string

Response

Embed snippet + publishable key.

success
boolean
required
data
object
required
message
string
errors
object[]